Page MenuHomePhabricator

VisualEditor: Links should do pre-annotations in both directions (not just down-page but also up-page)
Closed, ResolvedPublic0 Story Points

Description

When editing Wikipedia, I have repeatedly run into the following issue:

The article contains a link and I want to change the beginning of the link text (not the link's target), usually because it is upper case and I want it lower case. So I use VisualEditor to delete the first letter of the link and replace it with its lower case version. The result is unexpected: the first letter is not marked up as part of the link, but this is very hard to see.

The source code is transformed from [[Link]] to l[[Link|ink]]. Links like the latter are almost never contained in human-created wikitext.

Suggestion: link text should be "magnetic", so that changes at either end will automatically inherit the link markup.


Version: unspecified
Severity: enhancement

Details

Reference
bz58554

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:27 AM
bzimport set Reference to bz58554.

@AxelBoldt, the style of link editing has been changed so that the whole link is highlighted. This makes it easier to tell when you're addding something to the link. Do you still think that this would be desirable?

With the new style of link editing, the problem I described above has gone away. So this can task can be closed.

AxelBoldt closed this task as Resolved.Jan 28 2018, 5:17 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 28 2018, 5:17 PM
Jdforrester-WMF set the point value for this task to 0.Jan 29 2018, 4:33 PM